All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies.olap
Class MoveStrategyTitleCell

    com.sas.actionprovider.strategies.olap.MoveStrategyTitleCell

All Implemented Interfaces:
  ActionStatusKeysInterface, ActionStrategyInterface

    public class MoveStrategyTitleCell

Field Summary
`static java.lang.String` | `LEVEL_LABEL`
`static java.lang.String` | `MOVE_AXIS`

Fields inherited from class com.sas.actionprovider.strategies.olap.BaseTitleStrategy
`AREA_VALUE, AXIS, AXIS_INDEX, AXIS_LABEL, IS_MEASURE, UNIQUE_LEVEL_NAME`

Fields inherited from class com.sas.actionprovider.strategies.olap.BaseOLAPStrategy
`MODEL, TABLE`

Fields inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`TEMPLATE_DELIMITER`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`MoveStrategyTitleCell()` Default constructor.
`MoveStrategyTitleCell(boolean swing, OLAPActionUtil util)` Constructor for specifying type ( swing/http ) of strategy object.

Method Summary
`protected void` | `initialize()` Initialize this strategy object.
`protected void` | `initializeActionAttributes(BaseAction action, java.lang.String areaType, java.util.Locale locale)` Initializes an Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes.
`void` | `setLocaleDependentDefaultAttributes(BaseAction action, java.lang.String areaType, java.util.Locale locale)` Sets the Action's default locale dependent attribute values.

Methods inherited from class com.sas.actionprovider.strategies.olap.BaseTitleStrategy
`getActionStatus`

Methods inherited from class com.sas.actionprovider.strategies.olap.BaseOLAPStrategy
`addDynamicValueInfo, setUtilObject`

Methods inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`addDynamicValueInfo, addDynamicValueInfo, getCustomAttributeValue, getDynamicValue, getUtilObject, initializeAction, isSwing, setActionAttributes, setSwing`

Field Detail

### LEVEL_LABEL

    public static final java.lang.String LEVEL_LABEL

See Also:
  Constant Field Values

### MOVE_AXIS

    public static final java.lang.String MOVE_AXIS

See Also:
  Constant Field Values

Constructor Detail

### MoveStrategyTitleCell

    public MoveStrategyTitleCell()

  Default constructor. Calls the other constructor for specifying strategy type.

### MoveStrategyTitleCell

    public MoveStrategyTitleCell(boolean swing,
                                 OLAPActionUtil util)

  Constructor for specifying type ( swing/http ) of strategy object.

  Parameters:
    `swing` - boolean indicating whether the strategy will be used in a swing environment. If false, the strategy is http type.

Method Detail

### initializeActionAttributes

    protected void initializeActionAttributes(BaseAction action,
                                              java.lang.String areaType,
                                              java.util.Locale locale)

  Description copied from class: `BaseActionStrategy`

  Initializes an Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes. values.

  This base implementation does nothing to the Action.

  Overrides:
    `initializeActionAttributes` in class `BaseTitleStrategy`
  Parameters:
    `action` - The instance of the Action to be initialized.
    `areaType` - The areaType of the Viewer where the Action will be presented.
    `locale` - The locale

### setLocaleDependentDefaultAttributes

    public void setLocaleDependentDefaultAttributes(BaseAction action,
                                                    java.lang.String areaType,
                                                    java.util.Locale locale)

  Sets the Action's default locale dependent attribute values.

  This base implementation does nothing to the Action.

  Specified by:
    `setLocaleDependentDefaultAttributes` in interface `ActionStrategyInterface`
  Overrides:
    `setLocaleDependentDefaultAttributes` in class `BaseActionStrategy`
  Parameters:
    `action` - The instance of the Action to be initialized.
    `locale` - The locale
    `areaType` - The areaType of the Viewer where the Action will be presented.

### initialize

    protected void initialize()

  Description copied from class: `BaseOLAPStrategy`

  Initialize this strategy object.

  Via the `BaseOLAPStrategy.addDynamicValueInfo(java.lang.String, java.lang.String, java.lang.String)` method, this method registers the information for dynamic values that are available in all OLAP areas:

  - `com.sas.actionprovider.strategies.olap.OLAPDynamicValueKeys#MODEL`
  - `com.sas.actionprovider.strategies.olap.OLAPDynamicValueKeys#TABLE`

  Overrides:
    `initialize` in class `BaseTitleStrategy`
  See Also:
    `#setReturnStatus`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.